<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php hybrid_attr( 'post' ); ?>>

	<div class="entry-meta">
		<?php
			/* translators: used between list items, there is a space after the comma */
			$categories_list = get_the_category_list( __( ', ', 'theworld' ) );
			if ( $categories_list && theworld_categorized_blog() ) :
		?>
			<span class="entry-category" <?php hybrid_attr( 'entry-terms', 'category' ); ?>>
				<?php echo $categories_list; ?>
			</span>
		<?php endif; // End if categories ?>
		<time class="entry-date updated" datetime="<?php echo esc_html( get_the_date( 'c' ) ); ?>" <?php hybrid_attr( 'entry-published' ); ?>><?php echo esc_html( get_the_date() ); ?></time>
	</div>
	
	<?php the_title( '<h1 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '>', '</h1>' ); ?>

	<div class="byline">
		<span class="entry-view"><?php echo do_shortcode( '[entry-views after="' . __( ' Views', 'theworld' ) . '"]' ); ?></span>
		<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
			<span class="entry-comment"><?php comments_popup_link( __( '0', 'theworld' ), __( '1', 'theworld' ), __( '%', 'theworld' ) ); ?></span>
		<?php endif; ?>
		<span class="entry-author author vcard" <?php hybrid_attr( 'entry-author' ) ?>><?php printf( __( 'by <a class="url fn n" href="%1$s" itemprop="url"><span itemprop="name">%2$s</span></a>', 'theworld' ), esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ), esc_html( get_the_author() ) ); ?></span>
		<?php edit_post_link( __( 'Edit', 'theworld' ), '<span class="edit-link">', '</span>' ); ?>
	</div>

	<div class="entry-content" <?php hybrid_attr( 'entry-content' ); ?>>
		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'theworld' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">

		<?php theworld_social_share(); // Get the social share. ?>

		<?php
			$tag_list = get_the_tag_list();
			if ( $tag_list ) : 
		?>
			<div class="entry-tags" <?php hybrid_attr( 'entry-terms', 'post_tag' ); ?>><?php echo $tag_list; ?></div>
		<?php endif; ?>

	</footer><!-- .entry-footer -->
	
</article><!-- #post-## -->
