<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php hybrid_attr( 'post' ); ?>>

	<?php if ( has_post_thumbnail() ) : ?>
		<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'theworld-posts', array( 'class' => 'entry-thumbnail', 'alt' => esc_attr( get_the_title() ) ) ); ?></a>
	<?php endif; ?>

	<div class="entry-meta">
		<?php
			/* translators: used between list items, there is a space after the comma */
			$categories_list = get_the_category_list( __( ', ', 'theworld' ) );
			if ( $categories_list && theworld_categorized_blog() ) :
		?>
			<span class="entry-category" <?php hybrid_attr( 'entry-terms', 'category' ); ?>>
				<?php echo $categories_list; ?>
			</span>
		<?php endif; // End if categories ?>
		<time class="entry-date updated" datetime="<?php echo esc_html( get_the_date( 'c' ) ); ?>" <?php hybrid_attr( 'entry-published' ); ?>><?php echo esc_html( get_the_date() ); ?></time>
	</div>

	<?php the_title( sprintf( '<h2 class="entry-title" ' . hybrid_get_attr( 'entry-title' ) . '><a href="%s" rel="bookmark" itemprop="url">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

	<div class="byline">
		<span class="entry-view"><?php echo do_shortcode( '[entry-views after="' . __( ' Views', 'theworld' ) . '"]' ); ?></span>
		<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
			<span class="entry-comment"><?php comments_popup_link( __( '0', 'theworld' ), __( '1', 'theworld' ), __( '%', 'theworld' ) ); ?></span>
		<?php endif; ?>
		<span class="entry-author author vcard" <?php hybrid_attr( 'entry-author' ) ?>><?php printf( __( 'by <a class="url fn n" href="%1$s" itemprop="url"><span itemprop="name">%2$s</span></a>', 'theworld' ), esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ), esc_html( get_the_author() ) ); ?></span>
	</div>

	<div class="entry-summary" <?php hybrid_attr( 'entry-summary' ); ?>>
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->

	<?php theworld_social_share(); // Get the social share. ?>
	
</article><!-- #post-## -->
